Page MenuHomePhabricator

Do not rebind and blindly override onMenuToggle in FilterTagMultiselectWidget
Closed, ResolvedPublic1 Story Points

Description

onMenuToggle exists in the parent class, but it's blindly overridden with duplication of some (but not all!) of the parent's logic, and it's bound again in the constructor. This means that it runs twice, and that the code for counting how many times the highlight button has been shown double-counts every instance of the menu opening.

Details

Related Gerrit Patches:

Event Timeline

Catrope created this task.May 1 2017, 10:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2017, 10:24 PM
Catrope set the point value for this task to 1.May 1 2017, 10:34 PM

Change 351322 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RC Filters: don't bind onMenuToggle twice

https://gerrit.wikimedia.org/r/351322

Change 351322 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: don't bind onMenuToggle twice

https://gerrit.wikimedia.org/r/351322

Etonkovidova added a subscriber: Etonkovidova.EditedMay 15 2017, 9:16 PM

Re-checked in betalabs - rcenhancedfilters-seen-highlight-button-counter value increases correctly according to users' input.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.May 27 2017, 12:05 AM